<?php

namespace frontend\controllers;

use common\models\Service;
use Yii;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\data\ActiveDataProvider;



class ServiceController extends Controller
{

    public function actionIndex()
    {

        $dataProvider = new ActiveDataProvider([
            'query' => Service::find() ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }



    public function actionView($alias)
    {

        return $this->render('view', [
            'model' => $this->findModel($alias),
        ]);
    }


    protected function findModel($alias)
    {
        if (($model = Service::findOne(["alias"=>$alias])) !== null) {
            return $model;
        } else {
            throw new NotFoundHttpException('The requested page does not exist.');
        }
    }


}